> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opennote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Model Info



## OpenAPI

````yaml openapis/journals.json get /journals/editor/model/{journal_id}
openapi: 3.1.0
info:
  title: Journals Routes
  version: 0.0.1
servers: []
security: []
paths:
  /journals/editor/model/{journal_id}:
    get:
      summary: Model Info
      operationId: model_info_journals_editor_model__journal_id__get
      parameters:
        - name: journal_id
          in: path
          required: true
          schema:
            type: string
            title: Journal Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelInfoResponse'
        '401':
          description: Invalid API key or unauthorized access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
        '500':
          description: Internal server error
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelInfoResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        model:
          anyOf:
            - $ref: '#/components/schemas/BlockNode-Output'
            - type: 'null'
          description: The JSON representation of the model info.
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - success
        - model
      title: ModelInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlockNode-Output:
      properties:
        type:
          type: string
          title: Type
        attrs:
          anyOf:
            - $ref: '#/components/schemas/BlockAttrs'
            - type: 'null'
        content:
          anyOf:
            - items:
                $ref: '#/components/schemas/BlockNode-Output'
              type: array
            - type: 'null'
          title: Content
        marks:
          anyOf:
            - items:
                $ref: '#/components/schemas/Mark'
              type: array
            - type: 'null'
          title: Marks
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
      additionalProperties: true
      type: object
      required:
        - type
      title: BlockNode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BlockAttrs:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        level:
          anyOf:
            - type: integer
            - type: 'null'
          title: Level
      additionalProperties: true
      type: object
      title: BlockAttrs
    Mark:
      properties:
        type:
          type: string
          title: Type
        attrs:
          anyOf:
            - $ref: '#/components/schemas/BlockAttrs'
            - type: 'null'
      additionalProperties: true
      type: object
      required:
        - type
      title: Mark
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````